# Data Structure Index

| CMSIS-RTOS Version 1.00 CMSIS-RTOS API: Generic RTOS interface for Cortex-M processor-based devices.

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

Data Structure Index
O

O

osEvent

osMutexDef_t

osThreadDef_t

osMailQDef_t | osPoolDef_t | osTimerDef_t
os_mailQ | osMessageQDef_t | osSemaphoreDef_t |

O